#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.3.0.1
visibility:           public
id:                   tree-diff-0.3.0.1-Jm3VtwEyv5s7OMegypgh23
key:                  tree-diff-0.3.0.1-Jm3VtwEyv5s7OMegypgh23
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  8ac1af26e6573ad59c43343c6aa7b3aa
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.3.0.1-Jm3VtwEyv5s7OMegypgh23
depends:
    QuickCheck-2.14.3-C4pZcczS01y8lR5YrNhjmb
    aeson-2.1.2.1-Hmx6V7500mlHwEWmxxTOFD
    ansi-terminal-1.0-HNRiVYVLS88nOeeIa7BGM
    ansi-wl-pprint-0.6.9-8hvz8W1A79d6lmuCcHM0N6 base-4.16.4.0
    base-compat-0.12.2-5hQPtIjgG5LKnb20qwjRWd bytestring-0.11.4.0
    containers-0.6.5.1 data-array-byte-0.1.0.1-EzrI9etx6GZFajgyk0mhMO
    deepseq-1.4.6.1 hashable-1.4.4.0-FBBN0pDZ0iK3ZcMpqjlzBP
    parsec-3.1.15.0 parsers-0.12.12-ETj43si12qBBQp5B0VaUEy
    pretty-1.1.3.6 primitive-0.7.4.0-C4yOBVKL6XPC2Ks0coDOhc
    scientific-0.3.7.0-AVSNmivRvetAZErbfdxz2w
    semialign-1.3-LPtuP9NqIsK3M1FnPo23r1
    strict-0.5-LCA8ID5T4AcIA9XlMbebX
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP text-1.2.5.0
    these-1.2-91E6akABkMp7iq24lJWHQY time-1.11.1.1
    unordered-containers-0.2.20-synCBDLh0NACk48p5Re76
    uuid-types-1.0.5.1-BA9F1FEiqwm5UN81ZNoM07
    vector-0.13.1.0-5Ks1FSmymfI2i781M8kBvn

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

